summarylogtreecommitdiffstats
path: root/osaka-simulator
diff options
context:
space:
mode:
Diffstat (limited to 'osaka-simulator')
-rwxr-xr-xosaka-simulator22
1 files changed, 22 insertions, 0 deletions
diff --git a/osaka-simulator b/osaka-simulator
new file mode 100755
index 000000000000..fc7436698479
--- /dev/null
+++ b/osaka-simulator
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# set environment variables for wine
+export WINEARCH=win32 WINEPREFIX="$HOME/.osaka-simulator"
+
+# check if the game's user directory has been initialized
+if [ ! -d "$HOME/.osaka-simulator" ]; then
+ # create the directory for the wine prefix
+ mkdir -p "$HOME/.osaka-simulator" || exit 1
+
+ # initiaize the wine prefix
+ wineboot -i || exit 1
+
+ # install the required dependencies using winetricks
+ winetricks -q dmime dmsynth dmusic dsound dswave dx8vb || exit 1
+fi
+
+# move into the game's directory
+cd /opt/osaka-simulator || exit 1
+
+# run the game
+WINEDEBUG=-all wine /opt/osaka-simulator/tsu_han.exe "$@" \ No newline at end of file